package com.nisum.product.reactive.service;

import com.nisum.product.reactive.dto.ProductDto;
import com.nisum.product.reactive.entity.Product;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface IProductService {
    Flux<ProductDto> getProducts();
    Mono<Product> getProduct(int id);
    Flux<ProductDto> getProductInRange(double min,double max);
    Mono<ProductDto> saveProduct(Mono<ProductDto> productDtoMono);
    Mono<ProductDto> updateProduct(Mono<ProductDto> productDtoMono,int id);
    Mono<Void> deleteProduct(int id);
}
